# run_specs.rb

Path: | lib/merb-core/test/run_specs.rb
Last Update: | Tue Apr 09 12:51:38 +0000 2013

### Required files

benchmark spec spec/runner/formatter/base_text_formatter spec/spec_helper.rb spec/mocks spec/mocks/extensions spec/runner/formatter/specdoc_formatter base64 nkf kconv rack fileutils optparse spec

### Methods

run_specs

### Public Instance methods

run_specs(globs, spec_cmd='spec', run_opts = "-c", except = [])

Runs specs in all files matching the file pattern.

#### Parameters

globs<String, Array[String]>: | File patterns to look for.
spec_cmd<~to_s>: | The spec command. Defaults to "spec".
run_opts<String>: | Options to pass to spec commands, for instance, if you want to use profiling formatter.
except<Array[String]>: | File paths to skip.

[Validate]